Loading...
Searching...
No Matches
WlmConsoleEngineFileSystem Class Reference

This class encapsulates data structures and operations for a console application that can act as a basic worklist management service class provider based on the file system. More...

## Public Member Functions

| WlmConsoleEngineFileSystem (int argc, char *argv[], const char *applicationName, WlmDataSource *dataSourcev)
| constructor.
| ~WlmConsoleEngineFileSystem ()
| destructor
int | StartProvidingService ()
| Starts providing the implemented service for calling SCUs.

## Protected Member Functions

| WlmConsoleEngineFileSystem (const WlmConsoleEngineFileSystem &Src)
| Protected undefined copy-constructor.
WlmConsoleEngineFileSystem & | operator= (const WlmConsoleEngineFileSystem &Src)
| Protected undefined operator=.

## Protected Attributes

char | rcsid [200]
| contains application's id string
WlmReturnedCharacterSetType | opt_returnedCharacterSet
| returned character set type
OFString | opt_dfPath
| path to database files
OFString | opt_rfPath
| path to store request files
OFString | opt_rfFormat
| format for request files if stored.
OFCmdUnsignedInt | opt_port
| port on which this application is listening
OFBool | opt_refuseAssociation
| indicates if incoming associations shall be refused or not
OFBool | opt_rejectWithoutImplementationUID
| indicates if incoming associations shall be refused if no implementation class uid is specified
OFCmdUnsignedInt | opt_sleepBeforeFindReq
| indicates how many seconds the application is supposed to sleep before handling a find request
OFCmdUnsignedInt | opt_sleepAfterFind
| indicates how long the application shall sleep after a find
OFCmdUnsignedInt | opt_sleepDuringFind
| indicates how long the application shall sleep during a find
OFCmdUnsignedInt | opt_maxPDU
| max PDU size
E_TransferSyntax | opt_networkTransferSyntax
| preferred network transfer syntax
OFBool | opt_failInvalidQuery
| indicates if find shall fail on an invalid query or not
OFBool | opt_singleProcess
| indicates if this application is run in single process mode or not
OFBool | opt_forkedChild
| indicates if this process is called as a child process, used by dcmnet
int | opt_maxAssociations
| indicates how many associations can be accepted at the same time
OFBool | opt_noSequenceExpansion
| indicates if an expansion of empty sequences in C-Find RQ messages shall take place or not
OFBool | opt_enableRejectionOfIncompleteWlFiles
| indicates if wl-files which are lacking return type 1 attributes or information in such attributes shall be rejected or not
T_DIMSE_BlockingMode | opt_blockMode
| blocking mode for DIMSE operations
int | opt_dimse_timeout
| timeout for DIMSE operations
int | opt_acse_timeout
| timeout for ACSE operations
OFConsoleApplication * | app
| instance of console application class (for handling command line arguments)
OFCommandLine * | cmd
| instance of command line class (for handling command line arguments)
int | command_argc
| number of command line arguments, needed for multiprocess mode on WIN32
char ** | command_argv
| complete command line, needed for multiprocess mode on WIN32
WlmDataSource * | dataSource
| data source which shall be queried on incoming C-Find RQ messages

## Detailed Description

This class encapsulates data structures and operations for a console application that can act as a basic worklist management service class provider based on the file system.

## Constructor & Destructor Documentation

## WlmConsoleEngineFileSystem() [1/2]

WlmConsoleEngineFileSystem::WlmConsoleEngineFileSystem | ( | const WlmConsoleEngineFileSystem & | Src | ) |

protected

Protected undefined copy-constructor.

Shall never be called.

Parameters

  Src | Source object.

References WlmConsoleEngineFileSystem().

Referenced by WlmConsoleEngineFileSystem(), and operator=().

## WlmConsoleEngineFileSystem() [2/2]

WlmConsoleEngineFileSystem::WlmConsoleEngineFileSystem | ( | int | argc,
|  | char * | argv[],
|  | const char * | applicationName,
|  | WlmDataSource * | dataSourcev )

constructor.

Parameters

  argc | Number of arguments that were passed to main.
  argv | Arguments that were passed to main.
  applicationName | The name of this application.
  dataSourcev | Object which provides access to the data source.

## Member Function Documentation

## operator=()

WlmConsoleEngineFileSystem & WlmConsoleEngineFileSystem::operator= | ( | const WlmConsoleEngineFileSystem & | Src | ) |

protected

Protected undefined operator=.

Shall never be called.

Parameters

  Src | Source object.

Returns
  Reference to this.

References WlmConsoleEngineFileSystem().

## StartProvidingService()

int WlmConsoleEngineFileSystem::StartProvidingService | ( |  | ) |

Starts providing the implemented service for calling SCUs.

After having created an instance of this class, this function shall be called from main.

Returns
  Return value that is supposed to be returned from main().

## Member Data Documentation

## opt_rfFormat

OFString WlmConsoleEngineFileSystem::opt_rfFormat

protected

format for request files if stored.

Several placeholders can be used by(denoted by #):
#a: calling application entity title of the peer SCU
#c: called application entity title (AE title of worklist SCP application)
#i: process id of the worklist SCP application process handling the request
#p: patient ID if present, otherwise empty string
#t: timestamp in the format YYYYMMDDhhmmssffffff

The documentation for this class was generated from the following file:

- dcmwlm/apps/wlcefs.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0